#ifndef SB_NET_BASICP_H_INCLUDED_
#define SB_NET_BASICP_H_INCLUDED_


#define SO_OUTPUT_SPACE(_out_) \
do { \
  if (!(_out_)->isBinary()) \
    (_out_)->write(' '); \
} while(0)


#define SO_OUTPUT_LN(_out_) \
do { \
  if (!(_out_)->isBinary()) { \
    (_out_)->write('\n'); \
    (_out_)->indent(); \
  } \
} while(0)


#endif /* SB_NET_BASICP_H_INCLUDED_ */
